<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::MelonModel&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_melon_model.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classmelon_1_1_melon_model-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::MelonModel&lt; T &gt; Class Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_me_l_on_8h_source.html">MeLOn.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::MelonModel&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_melon_model.png" usemap="#melon::MelonModel_3C_20T_20_3E_map" alt=""/>
  <map id="melon::MelonModel_3C_20T_20_3E_map" name="melon::MelonModel_3C_20T_20_3E_map">
<area href="classmelon_1_1_feed_forward_net.html" title="This class represents a feed foward artificial network to be used in the MAiNGO solver." alt="melon::FeedForwardNet&lt; T &gt;" shape="rect" coords="0,56,268,80"/>
<area href="classmelon_1_1_gaussian_process.html" title="This class represents a Gaussian process, to be used in the MAiNGO solver." alt="melon::GaussianProcess&lt; T &gt;" shape="rect" coords="278,56,546,80"/>
<area href="classmelon_1_1_mulfil_gp.html" title="Class that represents a multifidelity Gaussian process, to be used in the MAiNGO solver." alt="melon::MulfilGp&lt; T &gt;" shape="rect" coords="556,56,824,80"/>
<area href="classmelon_1_1_support_vector_machine.html" title="Class defining support vector machine to be used in the MAiNGO solver." alt="melon::SupportVectorMachine&lt; T &gt;" shape="rect" coords="834,56,1102,80"/>
<area href="classmelon_1_1_support_vector_machine_one_class.html" title="Class defining support vector machine for one class classification to be used in the MAiNGO solver." alt="melon::SupportVectorMachineOneClass&lt; T &gt;" shape="rect" coords="695,112,963,136"/>
<area href="classmelon_1_1_support_vector_regression.html" title="Class defining support vector machine for regression to be used in the MAiNGO solver." alt="melon::SupportVectorRegression&lt; T &gt;" shape="rect" coords="973,112,1241,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1c7f4a28d7a34e48a93b9899a66204b0" id="r_a1c7f4a28d7a34e48a93b9899a66204b0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a> ()=default</td></tr>
<tr class="memdesc:a1c7f4a28d7a34e48a93b9899a66204b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <br /></td></tr>
<tr class="separator:a1c7f4a28d7a34e48a93b9899a66204b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9acb78ea183bc6bf583540efcef58a0b" id="r_a9acb78ea183bc6bf583540efcef58a0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9acb78ea183bc6bf583540efcef58a0b">load_model</a> (std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a9acb78ea183bc6bf583540efcef58a0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a9acb78ea183bc6bf583540efcef58a0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae002de8e7c020adfcad49ce7e050066e" id="r_ae002de8e7c020adfcad49ce7e050066e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae002de8e7c020adfcad49ce7e050066e">load_model</a> (std::string modelPath, std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:ae002de8e7c020adfcad49ce7e050066e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:ae002de8e7c020adfcad49ce7e050066e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fb378f8eabbcfdb7db707dbfa04a26" id="r_a37fb378f8eabbcfdb7db707dbfa04a26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData)</td></tr>
<tr class="memdesc:a37fb378f8eabbcfdb7db707dbfa04a26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a37fb378f8eabbcfdb7db707dbfa04a26"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a0877da878cabba96d129b5e2540b9eca" id="r_a0877da878cabba96d129b5e2540b9eca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0877da878cabba96d129b5e2540b9eca">MelonModel</a> (std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt; parserFactory)</td></tr>
<tr class="memdesc:a0877da878cabba96d129b5e2540b9eca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a0877da878cabba96d129b5e2540b9eca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1d72d9bbe5993be3d9230395abc0310" id="r_ae1d72d9bbe5993be3d9230395abc0310"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae1d72d9bbe5993be3d9230395abc0310">_set_data_object</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData)=0</td></tr>
<tr class="memdesc:ae1d72d9bbe5993be3d9230395abc0310"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets data object containing model parameters.  <br /></td></tr>
<tr class="separator:ae1d72d9bbe5993be3d9230395abc0310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48" id="r_ab783bd628a80774149c34f0e2b8f8f48"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:ab783bd628a80774149c34f0e2b8f8f48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:ab783bd628a80774149c34f0e2b8f8f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e" id="r_a7b1045b2b3c48d7e89042abbf042184e"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:a7b1045b2b3c48d7e89042abbf042184e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:a7b1045b2b3c48d7e89042abbf042184e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a17ac3b399c0615c5e4033f532e8cc7c4" id="r_a17ac3b399c0615c5e4033f532e8cc7c4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a> { false }</td></tr>
<tr class="separator:a17ac3b399c0615c5e4033f532e8cc7c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a4a98914ebfc91398a20b9014726e1" id="r_a79a4a98914ebfc91398a20b9014726e1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td></tr>
<tr class="separator:a79a4a98914ebfc91398a20b9014726e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1c7f4a28d7a34e48a93b9899a66204b0" name="a1c7f4a28d7a34e48a93b9899a66204b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c7f4a28d7a34e48a93b9899a66204b0">&#9670;&#160;</a></span>~MelonModel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::~<a class="el" href="classmelon_1_1_melon_model.html">MelonModel</a> </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default destructor. </p>

</div>
</div>
<a id="a0877da878cabba96d129b5e2540b9eca" name="a0877da878cabba96d129b5e2540b9eca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0877da878cabba96d129b5e2540b9eca">&#9670;&#160;</a></span>MelonModel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::MelonModel </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>parserFactory</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">parserFactory</td><td>is a pointer to an parser factory derived from <a class="el" href="classmelon_1_1_model_parser_factory.html" title="This class is a abstract parent class for model parser factories implemented in the MeLOn library.">ModelParserFactory</a> wich creates compatible parsers for the model derived from this class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab783bd628a80774149c34f0e2b8f8f48" name="ab783bd628a80774149c34f0e2b8f8f48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab783bd628a80774149c34f0e2b8f8f48">&#9670;&#160;</a></span>_set_constraints() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename RandomAccessIterator &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::_set_constraints </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraintEvaluation</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RandomAccessIterator &amp;</td>          <td class="paramname"><span class="paramname"><em>constraintValue</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets constraints required for fullspace opimization. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>vector containing the constraints for the given variables (difference between values given by optimizer and values calulated by model)</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">constraintEvaluation</td><td>vector containing the values which were calculated by the model, returned is the vector containing the values which were given by the optimizer</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">constraintValue</td><td>is an iterator which points to the beginning of the variables, for which the constraints should be set, in the vector of variables given by the optimizer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a7b1045b2b3c48d7e89042abbf042184e" name="a7b1045b2b3c48d7e89042abbf042184e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b1045b2b3c48d7e89042abbf042184e">&#9670;&#160;</a></span>_set_constraints() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<div class="memtemplate">
template&lt;typename RandomAccessIterator &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::_set_constraints </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T &amp;</td>          <td class="paramname"><span class="paramname"><em>constraintEvaluation</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">RandomAccessIterator &amp;</td>          <td class="paramname"><span class="paramname"><em>constraintValue</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets constraints required for fullspace opimization. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>vector containing the constraints for the given variables (difference between values given by optimizer and values calulated by model)</td></tr>
    <tr><td class="paramdir">[in,out]</td><td class="paramname">constraintEvaluation</td><td>is the values which was calculated by the model, returned is the vector containing the values which were given by the optimizer</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">constraintValue</td><td>is an iterator which points to the beginning of the variables, for which the constraints should be set, in the vector of variables given by the optimizer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae1d72d9bbe5993be3d9230395abc0310" name="ae1d72d9bbe5993be3d9230395abc0310"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1d72d9bbe5993be3d9230395abc0310">&#9670;&#160;</a></span>_set_data_object()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::_set_data_object </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>modelData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets data object containing model parameters. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelData</td><td>is a <a class="el" href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism.">ModelData</a> object containing the data which defines the model </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classmelon_1_1_feed_forward_net.html#ae98f7e952148f9d8aa22d2450f50f9db">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a8eec30fd8d4072723776d87b5c510b15">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_mulfil_gp.html#ac01195845825a9bc17cc684beeb673ce">melon::MulfilGp&lt; T &gt;</a>, and <a class="el" href="classmelon_1_1_support_vector_machine.html#ad1a0be4db1d52bf32f1651142a422a22">melon::SupportVectorMachine&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a37fb378f8eabbcfdb7db707dbfa04a26" name="a37fb378f8eabbcfdb7db707dbfa04a26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37fb378f8eabbcfdb7db707dbfa04a26">&#9670;&#160;</a></span>load_model() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::load_model </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>modelData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads new model from file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelData</td><td>is a <a class="el" href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism.">ModelData</a> object containing the data which defines the model </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a9acb78ea183bc6bf583540efcef58a0b" name="a9acb78ea183bc6bf583540efcef58a0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9acb78ea183bc6bf583540efcef58a0b">&#9670;&#160;</a></span>load_model() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::load_model </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a></td>          <td class="paramname"><span class="paramname"><em>fileType</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads new model from file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>is the name of the model</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fileType</td><td>specifies the file type of the model file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae002de8e7c020adfcad49ce7e050066e" name="ae002de8e7c020adfcad49ce7e050066e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae002de8e7c020adfcad49ce7e050066e">&#9670;&#160;</a></span>load_model() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::load_model </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a></td>          <td class="paramname"><span class="paramname"><em>fileType</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads new model from file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>is the path to the directory in which the network is located</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>is the name of the model</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fileType</td><td>specifies the file type of the model file </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a17ac3b399c0615c5e4033f532e8cc7c4" name="a17ac3b399c0615c5e4033f532e8cc7c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17ac3b399c0615c5e4033f532e8cc7c4">&#9670;&#160;</a></span>_modelLoaded</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::_modelLoaded { false }</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Flag which indicates wether a model is currently loaded or not </p>

</div>
</div>
<a id="a79a4a98914ebfc91398a20b9014726e1" name="a79a4a98914ebfc91398a20b9014726e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79a4a98914ebfc91398a20b9014726e1">&#9670;&#160;</a></span>_parserFactory</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a>&gt; <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel</a>&lt; T &gt;::_parserFactory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Pointer to a parser factory class which creates instances of parser objects fitting the type of model and file </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="_me_l_on_8h_source.html">MeLOn.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_melon_model.html">MelonModel</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
